%define name	gxmessage
%define version	2.12.4
%define release	%mkrel 1

%define section Development/Tools
%define summary A GTK2 based xmessage clone

Summary:	%{summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv3
Group:		Development/Tools
URL:		http://homepages.ihug.co.nz/~trmusson/programs.html/
Source0:        %{name}-%{version}.tar.xz
BuildRoot:      %_tmppath/%{name}-%{version}-buildroot
Requires:   	glibc >= 2.16
Requires:   	libstdc++6 >= 4.7.2
Obsoletes:  %name < %version

%description
Gxmessage pops up a dialog window, displays a given message
or question, then waits for the user's response. That
response is returned as the program's exit code. Because
gxmessage is a drop-in alternative to xmessage, gxmessage
accepts any option xmessage would, and returns the same exit codes.

%package i10n
Summary:	Internationalization files for gxmessage
Group:		Development/Tools
Requires:	%{name} = %{version}

%description i10n
Internationalization files for gxmessage

%prep
%setup -q -n %{name}-%{version}

%build
%configure2_5x --prefix=/usr

%make

%install
%__rm -rf %buildroot
%makeinstall_std


%clean
%__rm -rf %buildroot


%post
%update_icon_cache hicolor

%postun
%clean_icon_cache hicolor


%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/info/*.bz2
%{_mandir}/man1/*.bz2
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png

%files i10n
%defattr(-,root,root,-)
%{_datadir}/locale/*/LC_MESSAGES/*.mo

%changelog
* Wed Sep 30 2009 slick50 <lxgator@gmail.com> 2.12.4-1pclos2009
- 2.12.4

* Mon Apr 20 2009 slick50 <lxgator@gmail.com> 2.12.1-1pclos2007
- 2.12.1

* Tue Mar 18 2008 KDulcimer <kdulcimer@gmail.com> 2.6.2-1tinyme2008
- First release for PCLinuxOS
